Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class Base64

    java.lang.Object
      org.apache.catalina.util.Base64

    public final class Base64

extends Object

This class provides encode/decode for RFC 2045 Base64 as defined by RFC 2045, N. Freed and N. Borenstein. RFC 2045: Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. Reference 1996

Version:
  $Id: Base64.java 1233424 2012-01-19 15:18:06Z markt $
Author:
  Jeffrey Rodriguez

Constructor Summary
`Base64()`

Method Summary
`static void` | `decode(ByteChunk base64DataBC, ByteChunk decodedDataBC)` Decodes Base64 data into octets
`static void` | `decode(ByteChunk base64DataBC, CharChunk decodedDataCC)` Decodes Base64 data into octets
`static String` | `encode(byte[] binaryData)` Encodes hex octets into Base64.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### encode

    public static String encode(byte[] binaryData)

  Encodes hex octets into Base64.

  Parameters:
    `binaryData` - Array containing binary data to encode.
  Returns:
    Base64-encoded data.

### decode

    public static void decode(ByteChunk base64DataBC,
                              CharChunk decodedDataCC)

  Decodes Base64 data into octets

  Parameters:
    `base64DataBC` - Byte array containing Base64 data
    `decodedDataCC` - The decoded data chars

### decode

    public static void decode(ByteChunk base64DataBC,
                              ByteChunk decodedDataBC)

  Decodes Base64 data into octets

  Parameters:
    `base64DataBC` - Byte array containing Base64 data
    `decodedDataBC` - The decoded data bytes

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.